{
  description = "Gosearch - SearXNG rewrite in Go";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixpkgs-unstable";
  };

  outputs = { self, nixpkgs }:
    let
      systems = [ "x86_64-linux" "aarch64-linux" ];
      forAllSystems = f: nixpkgs.lib.genAttrs systems (system: f system);
    in {
      devShells = forAllSystems (system:
        let
          pkgs = import nixpkgs { inherit system; };
          go = pkgs.go_1_24;
        in
        {
          default = pkgs.mkShell {
            buildInputs = [
              go
              pkgs.curl
            ];
          };
        });
    };
}

